Page MenuHomePhabricator

"Mozart Symphony 36" query results are in a suboptimal order
Closed, ResolvedPublic

Description

ticket 2014112510027379 says:

Searching for "Mozart Symphony 36" used to find the
article on that symphony, as similar searches by other works by number continue to do.
But it is now buried on the second page of the results, rather than being the
first result, and it follows results for quite a number of other Mozart
symphonies (with other numbers).

I verified it's now the 3rd result on 2nd results page (23rd result).

using &srbackend=LuceneSearch restores Symphony No. 36 (Mozart) to be the top result.

This was not a problem for my actually finding the article, as searching for
"Mozart Symphony Linz" still returns the link to that article, still entitled
"Symphony No. 36 (Mozart)," ironically. For symphonies without a nickname,
it would have been more of an issue.

searching for "Mozart Symphony intitle:36" shows the desired article as first result. All of the top 6 (as far as I looked) of the bad results mention this symphony by name (with number) in the article text (and some in the result snippets too).

Event Timeline

jeremyb created this task.Nov 26 2014, 8:34 AM
jeremyb raised the priority of this task from to Needs Triage.
jeremyb updated the task description. (Show Details)
jeremyb added a project: CirrusSearch.
jeremyb changed Security from none to None.
jeremyb added a subscriber: jeremyb.
Aklapper triaged this task as Low priority.Dec 2 2014, 3:02 PM
Aklapper added a subscriber: Aklapper.

...and I can confirm this.

bump?

(I'm assuming this is somewhat related to something that was already a known issue. i.e. this is not a complete shock. if that's so then would be good to get some pointers to those other tasks and a guesstimate for where this stands in line relative to other search bugs)

Deskana renamed this task from search regression (vs. lucene) in results for "Mozart Symphony 36" @ enwiki to "Mozart Symphony 36" query results are in a suboptimal order.Jan 12 2016, 9:15 PM
Restricted Application added a project: Discovery. · View Herald TranscriptJan 12 2016, 9:15 PM
Deskana moved this task from Needs triage to Search on the Discovery board.Jan 16 2016, 1:36 AM
Restricted Application added a project: Discovery-Search. · View Herald TranscriptApr 13 2016, 2:36 AM
Deskana closed this task as Resolved.Oct 30 2016, 1:19 AM
Deskana claimed this task.
Deskana added a subscriber: Deskana.

This is fixed now; the relevant article is the second result. It's arguable that it should actually be first, but considering the first result, List of symphonies by Wolfgang Amadeus Mozart, is also super relevant, I consider this resolved.